Subject: env command does not work correctly.
From: [email-masked] ("John D. Robertson")

3 Apr 1997 09:23:57 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.LNX.3.91.970403090237.294B-100000.cygnus.gnu-win32@localhost>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: john@localhost
Original-To: [email-masked]
Original-Sender: [email-masked]

Platform: Win95 / Intel
Release: B17.1

I downloaded the cygnus SDK yesterday, and I am very pleased that these 
tools have been ported to Win32.  I soon attempted to port my tools that 
run under Linux and Irix to gnu-win32, and I ran into a problem.

The "env" command does not set environmental variables as it is supposed 
to.  For example:

   env ONE=one TWO=two echo_1_2

where echo_1_2 is a sh script:

   #!/bin/sh
   echo $ONE $TWO

will print nothing.  I have also noticed that it is not possible to 
export lower case environmental variable at all.  I have seen this 
elsewhere in the list.

Any Ideas?

JDR

|======================================================|
| John D. Robertson, ADAMS Modeler / Software Engineer |
| Robertson & Robertson Consultants, Inc.              |
| 3637 West Georgia Rd.                                |
| Pelzer, SC  29669                                    |
|                                                      |
| Phone: (864) 243-2436                                |
|   Fax: (864) 243-3023                                |
| Email: [email-masked]                                 |
|======================================================|

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".